jQuery(document).ready(function ($) {
  // ============================================
  //     product main slider section
  // ============================================
  if ($(".section-product-slider .slider").length) {
    $(".section-product-slider .slider").slick({
      infinite: true,
      centerMode: true,
      slidesToShow: 4,
      slidesToScroll: 1,
      arrows: false,
      centerPadding: "10%",
      responsive: [
        {
          breakpoint: 1281,
          settings: {
            slidesToShow: 3,
          },
        },
        {
          breakpoint: 1025,
          settings: {
            centerMode: false,
            slidesToShow: 3,
          },
        },
        {
          breakpoint: 771,
          settings: {
            centerMode: true,
            slidesToShow: 2,
          },
        },
        {
          breakpoint: 650,
          settings: {
            centerMode: false,
            slidesToShow: 2,
          },
        },
        {
          breakpoint: 527,
          settings: {
            slidesToShow: 1,
            centerPadding: "20%",
          },
        },
        {
          breakpoint: 426,
          settings: {
            slidesToShow: 1,
            centerPadding: "10%",
          },
        },
        {
          breakpoint: 376,
          settings: {
            centerMode: false,
            slidesToShow: 1,
          },
        },
      ],
    });
  }
  // ============================================
  //     product page slider of product
  // ============================================
  if ($(".product_slider-main").length) {
    var $slider = $(".product_slider-main")
      .on("init", function (slick) {
        $(".product_slider-main").fadeIn(1000);
      })
      .slick({
        slidesToShow: 1,
        slidesToScroll: 1,
        arrows: true,
        autoplay: true,
        lazyLoad: "ondemand",
        arrows: false,
        autoplaySpeed: 3000,
        asNavFor: ".product__slider-thmb",
      });
    var $slider2 = $(".product__slider-thmb")
      .on("init", function (slick) {
        $(".product__slider-thmb").fadeIn(1000);
      })
      .slick({
        slidesToShow: 4,
        slidesToScroll: 1,
        lazyLoad: "ondemand",
        asNavFor: ".product_slider-main",
        dots: false,
        centerMode: false,
        focusOnSelect: true,
      });
    //remove active class from all thumbnail slides
    $(".product__slider-thmb .slick-slide").removeClass("slick-active");
    //set active class to first thumbnail slides
    $(".product__slider-thmb .slick-slide").eq(0).addClass("slick-active");
    // On before slide change match active thumbnail to current slide
    $(".product_slider-main").on(
      "beforeChange",
      function (event, slick, currentSlide, nextSlide) {
        var mySlideNumber = nextSlide;
        $(".product__slider-thmb .slick-slide").removeClass("slick-active");
        $(".product__slider-thmb .slick-slide")
          .eq(mySlideNumber)
          .addClass("slick-active");
      }
    );
    // init slider
    require(["js-sliderWithProgressbar"], function (slider) {
      $(".product_slider-main").each(function () {
        me.slider = new slider(
          $(this),
          options,
          sliderOptions,
          previewSliderOptions
        );

        // stop slider
        //me.slider.stop();

        // start slider
        //me.slider.start(index);

        // get reference to slick slider
        //me.slider.getSlick();
      });
    });
    var options = {
      progressbarSelector: ".bJS_progressbar",
      slideSelector: ".bJS_slider",
      previewSlideSelector: ".bJS_previewSlider",
      progressInterval: "",
      // add your own progressbar animation function to sync it i.e. with a video
      // function will be called if the current preview slider item (".b_previewItem") has the data-customprogressbar="true" property set
      onCustomProgressbar: function ($slide, $progressbar) {},
    };
    // slick slider options
    // see: https://kenwheeler.github.io/slick/
    var sliderOptions = {
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: false,
      fade: true,
      autoplay: true,
    };
    // slick slider options
    // see: https://kenwheeler.github.io/slick/
    var previewSliderOptions = {
      slidesToShow: 3,
      slidesToScroll: 1,
      dots: false,
      focusOnSelect: true,
      centerMode: true,
    };
  }
  // ============================================
  //     code of Behnam
  // ============================================
  if ($(".faq-item").length) {
    let question = document.querySelectorAll(".question");
    question.forEach((question) => {
      question.addEventListener("click", (event) => {
        const active = document.querySelector(".question.active");
        if (active && active !== question) {
          active.classList.toggle("active");
          active.nextElementSibling.style.maxHeight = 0;
        }
        question.classList.toggle("active");
        const answer = question.nextElementSibling;
        if (question.classList.contains("active")) {
          answer.style.maxHeight = answer.scrollHeight + "px";
        } else {
          answer.style.maxHeight = 0;
        }
      });
    });
    $(".faq-item").click(function () {
      $(".faq-item").removeClass("faq-item-active");
      $(this).addClass("faq-item-active");
    });
  }
});
